Bug 157146 - USB mouse "jumpy" after suspend/resume - unless un/load uhci_hcd
USB mouse "jumpy" after suspend/resume - unless un/load uhci_hcd
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Cunningham
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-05-07 11:23 EDT by Kyrre Ness Sjøbæk
Modified: 2008-03-10 01:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 01:15:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2005-05-07 11:23:36 EDT
Description of problem:
If i suspend/resume my laptop (dell latitude c600), the usb mouse is "jumpy"
(slow refresh rate?) after wakeup. Integrated ps/2 touchpad and stick is still
fine (note that ps/2 is affected by RH bug # 156418:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=156418
)

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1287_FC4

How reproducible:
Every time

Steps to Reproduce:
1.Boot machine
2.(usb mouse fine)
3.suspend/resume (echo "3" > /proc/acpi/sleep)
4. usb mouse jumpy

Actual results:
Jumpy mouse after resume

Expected results:
Not jumpy mouse after resume

Additional info:
ACPI in general seems to work great on this laptop - no problems with it exept
this thing.

Note that if the mouse is plugged in before suspend/resume or not does not matter.
Comment 1 Kyrre Ness Sjøbæk 2005-06-01 17:59:03 EDT
Just discovered - it works as normal if i unload/load uhci_hcd (rmmod and
modprobe), it works perfectly again.

Something get borked if i leave a USB mass storage unit mounted & plugged in
while suspending - but i'll guess that is stuff for another bug report? I shall
return with more data as soon as i find time to do some testing. There is some
funkyness in the cd drive (it lets me eject it, even when mounted, once after a
suspend - but that is also material for another bug. Seems like it get picked
up, as the icon even disapears from my desktop. /me thougth it was a feature
first :P).
Comment 2 Dave Jones 2006-10-16 15:25:35 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Kyrre Ness Sjøbæk 2007-02-18 11:23:11 EST
There is no way that i can test this at the moment, as the system is broken.
Sorry about being late for telling you.
Comment 4 Nigel Cunningham 2007-05-18 19:16:53 EDT
Any progress with this?
Comment 5 Kyrre Ness Sjøbæk 2007-05-19 10:42:44 EDT
Well, the machine is broken. If it is of high priority i can test it, but it
has'n got a working display (external should work, tough)...
Comment 6 Nigel Cunningham 2007-05-21 20:26:35 EDT
Ok. Shall we just close it (at least for the moment) as 'CANTFIX' then?
Comment 7 Kyrre Ness Sjøbæk 2007-05-22 12:41:56 EDT
I don't know. I can see to it when i'm done with my exams (last one June 11th,
quantum physics :) ), but before then, i don't got time.

But is it just me who have seen this bug? But i can see the satisfaction of
seeing this working properly...
Comment 8 Nigel Cunningham 2007-05-28 19:21:45 EDT
Seems to just be your machine, sorry. I'll re-set the NEEDINFO so I don't get
prodded :)
Comment 9 petrosyan 2008-03-10 01:15:59 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.